# R System dependencies for debian family os 
- name: Install R dependencies 
  import_tasks: debian-dependencies.yml
  become: yes
  when: ansible_facts['os_family'] == 'Debian'

- name: Instal Rdevel
  import_tasks: install-rdevel.yml
  become: yes
  when: (r_install_devel | bool) == true

# main roles for debian family os 
- name: Install R apt repository 
  import_tasks: debian.yml
  become: yes
  when: ansible_facts['os_family'] == 'Debian'

# Configure R user env
- name: configure user home
  command: Rscript -e "dir.create(Sys.getenv('R_LIBS_USER'), recursive=TRUE);"

